# List GoDaddy Auction listings (https://developer.godaddy.com/en/docs/references/rest/aftermarket/get-listings)

---
title: List GoDaddy Auction listings
full: true
---

## GET /v1/customers/{customerId}/auctions/listings

List GoDaddy Auction listings

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | An identifier for a customer. |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domains` | string | no | Only include results for the specified domains. Use comma-separated string to include more than one domain. For example, `one.com,two.info,three.biz` |
| `listingStatus` | string | no | Only include results for the specified listing status. |
| `transferBefore` | string <iso-datetime> | no | Domain transfer time before this time, ISO 8601, in UTC. Defaults to last day of the previous month if not provided. Applicable only for listings in `FULFILLED` listingStatus. |
| `transferAfter` | string <iso-datetime> | no | Domain transfer time after this time, ISO 8601, in UTC. Defaults to first day of the previous month if not provided. Applicable only for listings in `FULFILLED` listingStatus. |
| `limit` | integer <integer-positive> | no | Maximum number of items to return. |
| `offset` | integer <integer-positive> | no | Number of results to skip for pagination. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Listings`

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — Required parameters must be specified in correct format

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`
